File Upload: CSV data on Enterpret
Use a File Upload (CSV) integration for one-off or historical feedback, such as a survey export or interview notes. Start with a small sample using the same column names and date format as the full file.
Before Uploading the File
You can upload a CSV file containing customer feedback when it meets the field and date requirements below. Uploaded files generally contain the following types of columns.
Customer Feedback Text
These columns hold the text of the customer feedback. The column header is generally the question that the customer feedback is answering. You can also provide the question that the customer feedback is an answer to after uploading your file.
Feedback Metadata
Metadata associated with the feedback. Examples include customer's rating, CSAT/NPS score, tags, platform data, and similar attributes.
Date
The date when the customer shared feedback. Supported date formats are listed below. If a date is not available, you can set the date to the date of uploading the file automatically while uploading.
ID
An identifier for the customer feedback. If an ID field is not available, you can generate one while uploading your file.
Creating or Choosing an Integration
Open the account menu at the bottom of the sidebar and select Integrations.
Choose an existing File Upload (CSV) integration if the file belongs to the same source, such as the next export of a monthly churn survey. Create a separate integration for a new feedback source.
You can skip creating a new integration if you're uploading a file to an existing file upload integration. For example, if you're uploading a monthly churn survey for August when data for June and July are already uploaded, choose your existing File Upload (CSV) integration, which would likely be called something like "File Upload Churn Survey."
Creating an Integration
Click on the + New Integration button at the top of the page to create a new integration.
From the list of possible integrations, find the File Upload integration by searching for it and click on Continue.
Choose Feedback Integration from the following screen, since you want to pull customer feedback onto Enterpret using your integration.
Provide a name for your File Upload Integration. You can use this name later to find feedback from your uploaded files while analysing them on Enterpret. For this Feedback Integration, complete the required Describe the type of feedback being integrated field with context about this feedback source. Click Integrate, then Confirm And Integrate to confirm the source name.
Uploading the File
Open the File Upload integration and select Upload File. Choose your sample CSV. In Review Uploaded File, check the preview and select the ID and feedback date columns. Mark the columns that contain feedback text, then review the metadata types.
You can review and choose what fields to use as feedback. The remaining fields will be ingested as metadata.
You might be recommended to use a more descriptive heading for the field name, but you can continue with the original name if it makes sense to your source of information.
File Review
The next step is to review the file you've uploaded. You can use this space to rename fields, exclude certain fields, and change the metadata type.
Metadata Type
Enterpret supports three metadata types.
String: Textual metadata. Examples include user email and feedback ID.
Numeric: For numeric metadata fields, like user rating and revenue amount. A numeric metadata field has more operations available while filtering, such as greater than (>) and less than (<) operators.
Grouped: Grouped fields are lists of strings. You can think of them like tags on a feedback record. These generally occur as lists of AB tests, manually added tags, or other lists of attributes. You can perform special operations on grouped fields while filtering through feedback, such as selecting a subset of grouped fields. For example, find all feedback with the tags
exp-home-page-001ORexp-home-page-004.
Mandatory Fields
A few mandatory fields for the file you've uploaded are:
ID Field: A unique identifier for each feedback. You can generate one if you don't have it in your file.
Feedback Date: The date on which the customer shared the feedback. If this is not available, you can set the date of upload as the feedback date.
Accepted date and time formats
Accepted date and time formats for CSV uploads
When you upload a CSV, Enterpret checks your date column against all the formats it supports and then shows you only the ones that match your data. You pick the right one from the dropdown, so you never have to type a format name.
We recommend YYYY-MM-DD (for example 2026-03-05) or RFC3339 (for example 2026-03-05T14:30:00Z). Both are unambiguous and avoid the issues below.
Date only
Format | Example |
YYYY-MM-DD / YYYY/MM/DD | 2026-03-05 / 2026/03/05 |
YYYY-DD-MM / YYYY/DD/MM | 2026-05-03 / 2026/05/03 |
DD-MM-YYYY / DD/MM/YYYY | 05-03-2026 / 05/03/2026 |
MM-DD-YYYY / MM/DD/YYYY | 03-05-2026 / 03/05/2026 |
YY-MM-DD / YY/MM/DD | 26-03-05 / 26/03/05 |
YY-DD-MM / YY/DD/MM | 26-05-03 / 26/05/03 |
DD-MM-YY / DD/MM/YY | 05-03-26 / 05/03/26 |
MM-DD-YY / MM/DD/YY | 03-05-26 / 03/05/26 |
Date and time
Format | Example |
DateTime | 2026-03-05 14:30:00 |
DD/MM/YYYY HH:mm:SS | 05/03/2026 14:30:00 |
Layout2 | 3/05/2026 14:30:00 |
Layout3 | 3-05-2026 14:30:00 |
Layout4 | 3/5/2026 14:30 |
Layout1 | 03/05 02:30:00PM '26 -0700 |
Standard formats
Format | Example |
RFC3339 | 2026-03-05T14:30:00Z |
RFC3339Nano | 2026-03-05T14:30:00.123456789Z |
RFC1123 / RFC1123Z | Thu, 05 Mar 2026 14:30:00 UTC / Thu, 05 Mar 2026 14:30:00 +0000 |
RFC822 / RFC822Z | 05 Mar 26 14:30 UTC / 05 Mar 26 14:30 +0000 |
RFC850 | Thursday, 05-Mar-26 14:30:00 UTC |
ANSIC | Thu Mar 5 14:30:00 2026 |
UnixDate | Thu Mar 5 14:30:00 UTC 2026 |
RubyDate | Thu Mar 05 14:30:00 +0000 2026 |
Unix timestamps
Format | Example |
System Timestamp (seconds) | 1772721000 |
UNIX_IN_MS (milliseconds) | 1772721000000 |
Good to know
Timezone. If your value has no timezone or offset, it is read as UTC. To control the timezone explicitly, use RFC3339 with an offset, for example 2026-03-05T14:30:00+05:30.
Zero padding is optional. 2026-3-5 and 2026-03-05 are both accepted.
Use the date the feedback was actually shared. Unix timestamp detection rejects future values.
Keep one format per column. A column that mixes formats will fail on the rows that do not match your selection.
Watch ambiguous dates. A value like 05/03/2026 is valid as both DD/MM/YYYY and MM/DD/YYYY, depending on the format you select. Using YYYY-MM-DD removes the risk.
CSV only. Excel files are not supported directly. Export to .csv first, then check which format your dates came out as.
The time-only formats (Stamp, StampMilli, StampMicro, StampNano) contain no year and are not suitable for feedback dates.
Feedback Field
At least one field in the uploaded file should hold textual customer feedback. You can also upload files that contain multiple fields holding textual customer feedback.
You can mark these fields by selecting the checkbox on the left.
Feedback Field Name
The feedback field name is special. It tells the ML models what's the context of the customer feedback, so that they can tag them with relevant themes and better categorise your feedback.
Ideally, the feedback field name should be the same question that your users were answering when they shared the feedback. For example, How has your experience with our product been so far?
A good feedback field name is a descriptive question that can add helpful context for the feedback and lead to better predictions and categorisation.
You can edit the feedback field name by clicking on the pencil icon in the Name column.
Making the Feedback Field Name Dynamic
Sometimes, the questions your users are answering in the uploaded file change based on the context. For instance, when collecting feedback from a survey about help center articles, the specific article topic varies. So, the question might be: "Did you find the article on creating dashboards helpful?" for one user, while it might be "Did you find the article on scheduling weekly reports helpful?" for another user.
To handle this, you can use a flexible format like: Did you find the article on {{help-center topic}} helpful?
To create such dynamic questions, insert {{metadata field's name}} into your question. In this example, {{help-center topic}} is a placeholder that adapts to different topics, provided that help-center topic is the name of an available metadata field.
Use a relevant question to preserve the context in which the feedback was shared. Review the resulting feedback and predictions to check whether the question and field mapping represent your source data.
Submit
Review the selected ID and date columns, the feedback fields, and the metadata types. Check a few sample rows, especially blank values and responses with line breaks. Correct mapping errors, then select Submit.
After the sample finishes processing, find it in Feed. Check the feedback date, question text, and metadata against the original CSV before submitting the full file.
Availability depends on file size, validation, and processing. Contact the Enterpret team if an uploaded file does not become available as expected. If you run into any issues while uploading your file, reach out to the Enterpret team at support@enterpret.com.
Analyze imported feedback with Enterpret Agent
After verifying the import, open Enterpret Agent in the app. If your workspace has the Enterpret app for Slack, you can ask there too. For a supported external agent, connect it to your workspace through the Enterpret MCP Server. Use an account with access to the imported feedback.
Review the imported sample in the File Upload (CSV) integration I name. Summarize the main feedback themes and link representative records. Flag any records where the date, question, or a metadata value appears missing.